//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <list>
#include <vector>
#include <algorithm>
#include <deque> 
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;
std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  list<int> coll1;
  list<int>::iterator pos1;
  vector<int> coll2;
  vector<int>::iterator pos2;

  //      1  9 
  for (int i=1; i<=9; ++i) { 
    coll1.push_back(i);
  }

  //   
  cout << ToRus(" : ");
  for (pos1 = coll1.begin(); pos1 != coll1.end(); ++pos1) { 
    cout << *pos1 << ' ';
  }
  cout << endl;

  //    ,
  //       
  //  .
  coll2.resize (coll1.size());

  //       
  // -      
  copy (coll1.begin(),coll1.end(),   // 
    coll2.begin()); // 

  //   
  cout << ToRus(" : ");
  for (pos2 = coll2.begin(); pos2 != coll2.end(); ++pos2) { 
    cout << *pos2 << ' ';
  }
  cout << endl;

  //       
  // -     
  deque<int> coll3(coll1.size());
  deque<int>::iterator pos3;

  //       
  copy (coll1.begin(),coll1.end(),  // 
    coll3.begin()); // 

  //   
  cout << ToRus(" : ");
  for (pos3 = coll3.begin(); pos3 != coll3.end(); ++pos3) { 
    cout << *pos3 << ' ';
  }
  cout << endl;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
